<?php

	global $INCLUDE_FOLDER, $MODULE_VARS, $ADMIN_FOLDER, $TMP_FOLDER;
	if (!function_exists('LoadModuleEnv')) { require_once("{$INCLUDE_FOLDER}s_loadenv.inc.php"); }
	LoadModuleEnv();

	require_once $ADMIN_FOLDER."class/import.inc.php";
	
	#   
	$db->query("INSERT INTO `Module` (`Module_Name`, `Keyword`, `Description`, `Parameters`, `Subdivision_ID`, `Example_URL`, `Help_URL`, `Installed`) VALUES ('NETCAT_MODULE_BLOG', 'blog', 'NETCAT_MODULE_BLOG_DESCRIPTION', '', 0, '', '/settings/modules/blog/', 0);");
	#   
	$paramfile = fopen($TMP_FOLDER."modules/blog/parameters.txt", "r");
	$Parameters = fread($paramfile, filesize($TMP_FOLDER."modules/blog/parameters.txt") );
	fclose($paramfile);
	@unlink($MODULE_FOLDER."blog/parameters.txt");
	
	#  
	$lang = NetCat_language_detect();
	$int = ($lang=="Russian" ? "" : "_int");
	
	if($lang=="Russian") require_once($TMP_FOLDER."modules/blog/ru.lang.php"); else require_once($TMP_FOLDER."modules/blog/en.lang.php");
	
	# CLASS
	$Parameters = UpdateParameters($Parameters, "BLOG_COMMENTS_CLASS_ID", ParseClassFile($TMP_FOLDER."modules/blog/tpl$int/comments.tpl"));
	$Parameters = UpdateParameters($Parameters, "BLOG_MESSAGES_CLASS_ID", ParseClassFile($TMP_FOLDER."modules/blog/tpl$int/messages.tpl"));
	$Parameters = UpdateParameters($Parameters, "BLOG_CLASS_ID", ParseClassFile($TMP_FOLDER."modules/blog/tpl$int/root.tpl"));
	$Parameters = UpdateParameters($Parameters, "BLOG_MESSAGES_SETTINGS_CLASS_ID", ParseClassFile($TMP_FOLDER."modules/blog/tpl$int/settings.tpl"));
	$Parameters = UpdateParameters($Parameters, "BLOG_MESSAGES_USERS_CLASS_ID", ParseClassFile($TMP_FOLDER."modules/blog/tpl$int/users.tpl"));
	# TEMPLATE
	$Parameters = UpdateParameters($Parameters, "BLOG_RSS_TEMPLATE_ID", ParseClassFile($TMP_FOLDER."modules/blog/tpl$int/rss_template.tpl"));

	#    
	$db->query("UPDATE Module SET Parameters='".$Parameters."' WHERE Keyword='blog'");
	
	# Classificator
	function CreateClassificator($table_name, $classificator_name, $values=false) {
	global $db;
	
		$db->query("INSERT INTO Classificator SET Classificator_Name='$classificator_name', Table_Name='$table_name', System=0"); ### or print mysql_error();

		$db->query("CREATE TABLE `Classificator_".$table_name."` (
	                `".$table_name."_ID` int(11) NOT NULL auto_increment,
	                `".$table_name."_Name` char(255) NOT NULL default '',
	                `".$table_name."_Priority` int(11) NOT NULL,
					PRIMARY KEY  (`".$table_name."_ID`))");

	    if( is_array($values) ) {
			foreach($values as $k => $v) {
				$db->query("INSERT INTO `Classificator_".$table_name."`
							SET `".$table_name."_Name` = '".$db->escape($v)."',
							`".$table_name."_Priority` = '".($k + 1)."'");
			}
		}
	
	return false;
	}
	
	#   
	CreateClassificator("BlogMessagesAccess", NETCAT_MODULE_BLOG_MESSAGES_ACCESS, array("", " ", " ", " "));
	CreateClassificator("BlogCommentsAccess", NETCAT_MODULE_BLOG_COMMENTS_ACCESS, array("", " ", "  ", "  "));
	CreateClassificator("BlogPermissionGroup", NETCAT_MODULE_BLOG_PERMISSION_GROUP, array("", "", "", ""));
	
	#  
	$tpldir = $MODULE_FOLDER."blog/tpl/";
	if( @is_dir($tpldir) ) {
	    if($dh = @opendir($tpldir)) {
	        while( ($file = @readdir($dh))!== false ) {
	            if($file=="." || $file=="..") continue;
				@unlink($tpldir.$file);
	        }
	        @closedir($dh);
	    }
	}
	@rmdir($tpldir);
	#   _int
	$tpldir = $MODULE_FOLDER."blog/tpl_int/";
	if( is_dir($tpldir) ) {
	    if($dh = @opendir($tpldir)) {
	        while( ($file = readdir($dh))!== false ) {
				if($file=="." || $file=="..") continue;
				@unlink($tpldir.$file);
	        }
	        closedir($dh);
	    }
	}
	@rmdir($tpldir);
	
?>