<?

function CheckForNewPatch () {

    global $LAST_LOCAL_PATCH,$LAST_PATCH,$PATCH_CHECK_DATE,$SYSTEM_ID,$VERSION_ID;
    global $IsInsideAdmin;

    $IsInsideAdmin = 1;
    LoadSettings();

/*
    if ($LAST_LOCAL_PATCH<$LAST_PATCH)
    {
        nc_print_status("<b>".TOOLS_PATCH_INFO_NEW." #".$LAST_PATCH."</b> (<a target=_blank href=http://www.netcat.ru/netcat/modules/default/showpatch.php?system=".$SYSTEM_ID."&version=".$VERSION_ID."&lastpatch=".$LAST_LOCAL_PATCH.">".TOOLS_PATCH_INFO_DOWNLOAD."</a>)", 'info');
    }
    else
    {
        nc_print_status(TOOLS_PATCH_INFO_NONEW, 'info');
    }
*/
}

###############################################################

function CopyFiles ()
{
    global $TMP_FOLDER, $DOCUMENT_ROOT;

    $FileWithFileList = "files.txt";
    $COPY_FOLDER = $DOCUMENT_ROOT;

    $fpAny = fopen ($TMP_FOLDER.$FileWithFileList, "r");

    while (!feof ($fpAny))
    {
        $file_name = chop (fgets($fpAny, 4096));
        if (strlen($file_name) == 0)
        {
            break;
        }
        $directory = dirname ($file_name);

        $tmpDirectory = $COPY_FOLDER;
        $tok = strtok($directory,"/");
        while ($tok)
        {
            $tmpDirectory .= "/".$tok;
            @mkdir ($tmpDirectory, 0775);
            $tok = strtok("/");
        }

        @copy ($TMP_FOLDER.$file_name, $COPY_FOLDER."/".$file_name);
    }
    fclose ($fpAny);
}

###############################################################

function CreatLinks ()
{
    global $TMP_FOLDER, $DOCUMENT_ROOT;

    $File = "symlinks.txt";
    $COPY_FOLDER = $DOCUMENT_ROOT;

    $fp = fopen ($TMP_FOLDER.$File, "r");

    while (!feof ($fp))
    {
        $string = chop (fgets($fp, 4096));
        if (strlen($string) == 0)
        {
            break;
        }
        $From = strtok($string," ");
        $To = strtok(" ");
        $directory = dirname ($To);

        $tmpDirectory = $COPY_FOLDER;
        $tok = strtok($directory,"/");
        while ($tok)
        {
            $tmpDirectory .= "/".$tok;
            @mkdir ($tmpDirectory, 0775);
            $tok = strtok("/");
        }

        @symlink ($COPY_FOLDER."/".$From, $COPY_FOLDER."/".$To);
    }
    fclose ($fp);

}

###############################################################

function LoadID ()
{
    global $TMP_FOLDER, $db;
    global $PatchName, $SystemID, $VersionID, $Description;

    $FileID="id.txt";
    if (!file_exists($TMP_FOLDER.$FileID))
    {
        return false;
    }
    $fp = fopen ($TMP_FOLDER.$FileID, "r");
    $PatchName = chop (fgets($fp, 4096));
    $SystemID = chop (fgets($fp, 4096));
    $VersionID = chop (fgets($fp, 4096));
    $Description = chop (fgets($fp, 4096));
    fclose ($fp);
}

###############################################################

function LoadRequired ()
{
    global $TMP_FOLDER, $db;
    global $Required;

    $FileRequired = "required.txt";
    $fp = fopen ($TMP_FOLDER.$FileRequired, "r");
    while (!feof ($fp))
    {
        $buffer = chop (fgets($fp, 4096));
        if (strlen ($buffer) > 0)
        {
            $Required[] = $buffer;
        }
        else break;
    }

    fclose ($fp);
}

###############################################################

function CheckDeps ()
{
    global $TMP_FOLDER, $db;
    global $PatchName, $SystemID, $VersionID, $Description;
    global $Required;

    $ReturnValue = 1;
    LoadID ();
    LoadRequired ();

    $Array = $db->get_results("select * from Patch",ARRAY_A);

    while (@list ($key, $val) = each ($Required) )
    {
        $cmp = 0;
        for ($i=0; $i<count($Array); $i++)
        {
            if ( strcmp ($Array[$i]["Patch_Name"],$val) == 0 )
            {
                $cmp++;
                break;
            }
        }
        if ($cmp == 0)
        {
            print TOOLS_MODULES_ERR_PATCH." ".$val.".<br>\n";
            $ReturnValue = 0;
        }
    }
    return $ReturnValue;
}

###############################################################

function PatchList ()
{
    global $db;

    if ($Result = $db->get_results("select Patch_Name,date_format(Created,'%d.%m.%Y') as Time,Description from Patch",ARRAY_A))
    {
        ?>
        <table border=0 cellpadding=0 cellspacing=0 width=100%><tr><td bgcolor=cccccc>
        <table border=0 cellpadding=4 cellspacing=1 width=100%>
        <tr>
        <td bgcolor=eeeeee><font size=-2><b>ID</td>
        <td bgcolor=eeeeee><font size=-2><b><?=TOOLS_PATCH_LIST_DATE?></td>
        <td bgcolor=eeeeee width=60%><font size=-2><b><?=CONTROL_FIELD_LIST_DESCRIPTION?></td>
        </tr>
        <?
        foreach ($Result as $Array)
        {
            print "<tr><td bgcolor=white><font size=-2><b>".$Array["Patch_Name"]."</td>";
            print "<td bgcolor=white><font size=-2>".$Array["Time"]."</td>";
            print "<td bgcolor=white><font size=-2>".$Array["Description"]."</td></tr>";
        }
        print "</table></td></tr></table>";
    }
}

###############################################################

function InstallationAborted ($msg)
{
	global $TMP_FOLDER;

    nc_print_status($msg."<br>".TOOLS_PATCH_ERR_CANTINSTALL.".", 'error');
    DeleteFilesInDirectory ($TMP_FOLDER);
    PatchForm ();
    PatchList ();
    EndHtml ();
    exit;
}

###############################################################

function PatchForm ()
{
    global $db, $UI_CONFIG;
    global $LAST_PATCH, $LAST_LOCAL_PATCH, $PATCH_CHECK_DATE;
    global $SYSTEM_ID,$VERSION_ID;

    if ($LAST_LOCAL_PATCH>=$LAST_PATCH) {
      nc_print_status(TOOLS_PATCH_MSG_OK, 'ok');
      $need_update = 'false';
    } else {
      nc_print_status("<b>".TOOLS_PATCH_INFO_NOTINSTALLED." #".$LAST_PATCH."</b> (<a target=_blank href=http://www.netcat.ru/netcat/modules/default/showpatch.php?system=".$SYSTEM_ID."&version=".$VERSION_ID."&lastpatch=".$LAST_LOCAL_PATCH.">".TOOLS_PATCH_INFO_DOWNLOAD."</a>)", 'info');
      $need_update = 'true';
    }

    print "<script>top.updateUpdateIndicator($need_update)</script>";

    echo TOOLS_PATCH_INFO_LASTCHECK." <b>".$PATCH_CHECK_DATE."</b> (<a href=?phase=3>".TOOLS_PATCH_INFO_REFRESH."</a>)";
    ?>


<br><br>

  <form enctype="multipart/form-data" action=index.php method=post>
  <input type=hidden name=MAX_FILE_SIZE value=1000000>
  <fieldset>
  <legend><font color=gray><b><?=TOOLS_PATCH_INSTALL_LOCAL?></b></font></legend>
  
  <input size=40 name=FilePatch type=file>
  
  </fieldset>
  <input type=hidden name=phase value=2>
  </form>
  <?
  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                      "caption" => CONTROL_CLASS_IMPORT_UPLOAD,
                                      "action" => "mainView.submitIframeForm()",
                                     );
}

###############################################################

function IsAlreadyInstalled ()
{
    global $TMP_FOLDER, $db;
    global $PatchName;

    if ($db->get_var("select Patch_Name from Patch where Patch_Name='".$PatchName."'"))
    {
        return 1;
    }
    return 0;

}

?>