<?php
  /* $Id: tree_frame.php,v 1.18 2007/09/04 16:04:34 chelout Exp $ */

  require("./function.inc.php");

  $sources = array(
	  'sitemap' => "/netcat/admin/subdivision/tree_json.php?node=",
	  'developer' => "/netcat/admin/dev_json.php?node=",
	  'modules' => "/netcat/admin/modules/modules_json.php?node=",
	  'users' => "/netcat/admin/user/user_json.php?node=",
	  //  --
	  'related_message' => "/netcat/admin/related/tree_json.php?mode=related_message&node=",
	  'related_subdivision' => "/netcat/admin/related/tree_json.php?mode=related_subdivision&node=",
	  'related_subclass' => "/netcat/admin/related/tree_json.php?mode=related_subclass&node=",

	  'wizard_subdivision' => "/netcat/admin/wizard/tree_json.php?mode=wizard_subdivision&node=",
	  'wizard_parentsub' => "/netcat/admin/wizard/tree_json.php?mode=wizard_parentsub&node=",

	  'copy_message' => "/netcat/admin/objects/tree_json.php?mode=copy_message&cc=".$cc."&classID=".$classID."&message=".$message."&node=",
	);

  $source = $sources[$_GET['mode']];

  if (!$source) exit('Wrong params');

?>
<html>


<head>
   <title>Tree Frame</title>
   <link rel='stylesheet' type='text/css' media='screen' href='skins/default/css/left_pane.css'>
   <script type='text/javascript' language='Javascript'>
     var NETCAT_PATH = '<?=$HTTP_ROOT_PATH ?>',
         ADMIN_PATH = '<?=$HTTP_ROOT_PATH ?>admin/',
         ICON_PATH = '<?=$HTTP_ROOT_PATH ?>admin/skins/default/img/';
   </script>
   <script type='text/javascript' src='js/lib.js'></script>
   <script type='text/javascript' src='js/tree_frame.js'></script>
</head>


<body style='overflow: hidden; overflow-y: auto'>

 <nobr>
  <div id='siteTreeContainer'>
   <ul id='siteTree'></ul>
  </div>
 </nobr>

 <script>
   new dynamicTree('tree', 'siteTree', '<?=$source ?>');
   <?php
     if ($_GET['selected_node']) { print "tree.selectNode('$_GET[selected_node]');\n"; }
   ?>
 </script>

</body>
</html>