<?php

	global $INCLUDE_FOLDER, $MODULE_VARS, $ADMIN_FOLDER, $TMP_FOLDER;
	if (!function_exists('LoadModuleEnv')) { require_once("{$INCLUDE_FOLDER}s_loadenv.inc.php"); }
	LoadModuleEnv();

	require_once $ADMIN_FOLDER."class/import.inc.php";
	require_once $ADMIN_FOLDER."module.inc.php";
	
	#   
	$db->query("INSERT INTO `Module` (`Module_Name`, `Keyword`, `Description`, `Parameters`, `Subdivision_ID`, `Example_URL`, `Help_URL`, `Installed`) VALUES ('NETCAT_MODULE_TAGSCLOUD', 'tagscloud', 'NETCAT_MODULE_TAGSCLOUD_DESCRIPTION', '', 0, '', '/settings/modules/tagscloud/', 1);");
	#   
	$paramfile = fopen($TMP_FOLDER."modules/tagscloud/parameters.txt", "r");
	$Parameters = fread($paramfile, filesize($TMP_FOLDER."modules/tagscloud/parameters.txt") );
	fclose($paramfile);
	@unlink($MODULE_FOLDER."tagscloud/parameters.txt");
	
	#  
	$lang = NetCat_language_detect();
	$int = ($lang=="Russian" ? "" : "_int");
	
	# CLASS
	$Parameters = UpdateParameters($Parameters, "TAGS_CLASS_ID", $ClassID = ParseClassFile($TMP_FOLDER."modules/tagscloud/tpl$int/tags.tpl"));
	
	# Create subdivision & sub_class for Tags catalogue
	$catalogues = $db->get_results("SELECT Catalogue_ID, Catalogue_Name  FROM Catalogue", ARRAY_A);
	
	# InsertSub   ,  )
	$catalogues_ids = array();
	foreach($catalogues AS $value) {$catalogues_ids[] = $value['Catalogue_ID'];}
	#   
	if($catalogues_ids) {
		$catalogues_str = join(", ", $catalogues_ids);
		$exist_cat_sub = $db->get_col("SELECT Catalogue_ID FROM Subdivision
										WHERE Catalogue_ID IN (".$catalogues_str.")
										AND Hidden_URL='/tags/'");
	}
	
	#  
	$TagsSub = 0;
	$TC_warn_text = "";
	foreach($catalogues AS $value) {
	
		#    
		$insert_sub_id = 0;
		$CatalogueLNG = GetCatalougeLanguge($value['Catalogue_ID']);
		if( $exist_cat_sub && in_array($value['Catalogue_ID'], $exist_cat_sub) ) {
			if($CatalogueLNG=="ru") {
				$TC_warn_text .= "<font color='red'> \"\" (  \"tags\")   \"".$value['Catalogue_Name']."\"  .<br>    .</font><br><br>";
			} 
			else {
				$TC_warn_text .= "<font color='red'>Subdivision \"Tags\" (keyword \"tags\") in catalogue \"".$value['Catalogue_Name']."\" already exists.<br>Create this subdivision manualy.</font><br><br>";
			}
			continue;
		}
		else {
			if($CatalogueLNG=="ru") {
				$TagsSub = $insert_sub_id = InsertSub("", "tags", "", 0, 0, 0, 0, 0, $ClassID, 0, $value['Catalogue_ID'], "index", 0);
				echo "<br>";
			} 
			else {
			    $TagsSub = $insert_sub_id = InsertSub("Tags", "tags", "", 0, 0, 0, 0, 0, $ClassID, 0, $value['Catalogue_ID'], "index", 0);
				echo "<br>";
			}
		}
	}
	
	#  ,  -     
	# ..         
	if($TagsSub) $Parameters = UpdateParameters($Parameters, "TAGS_SUB_ID", $TagsSub);
	
	$db->query("UPDATE Module SET Parameters='".$Parameters."' WHERE Keyword='tagscloud'");
	
	#  
	$tpldir = $MODULE_FOLDER."tagscloud/tpl/";
	if( @is_dir($tpldir) ) {
	    if($dh = @opendir($tpldir)) {
	        while( ($file = @readdir($dh))!== false ) {
	            if($file=="." || $file=="..") continue;
				@unlink($tpldir.$file);
	        }
	        @closedir($dh);
	    }
	}
	@rmdir($tpldir);
	#   _int
	$tpldir = $MODULE_FOLDER."tagscloud/tpl_int/";
	if( is_dir($tpldir) ) {
	    if($dh = @opendir($tpldir)) {
	        while( ($file = readdir($dh))!== false ) {
				if($file=="." || $file=="..") continue;
				@unlink($tpldir.$file);
	        }
	        closedir($dh);
	    }
	}
	@rmdir($tpldir);
	
	if($TC_warn_text) echo $TC_warn_text;
	
?>