<?
/* $Id: catalog.inc.php,v 1.4 2007/05/17 11:26:49 chelout Exp $ */

/*
function UpdateHiddenHost ($CatalogueID) {
 global $Lin kID, $DOMAIN_NAME;

 $res = $db->query("SELECT Domain FROM Catalogue WHERE Catalogue_ID=".$CatalogueID,$Li nkID);
 list($domain) = my sql_fetch_row($res);
 my sql_free_result($res);

 $domain = trim($domain);

 if ($domain) {
	if (strchr($domain,".")) $sub_host = $domain;
 	else $sub_host = $domain.".".$DOMAIN_NAME;
 } else {
	$sub_host = $DOMAIN_NAME;
 }

 $res = mys ql_query("UPDATE Catalogue SET LastUpdated=LastUpdated,Hidden_Host=\"".$sub_host."\" WHERE Catalogue_ID=".$CatalogueID,$Lin kID);

}
*/

###############################################################################

function IsCatalogueExist ($CatalogueID)
{
  global $db;

  $select = " select Catalogue_ID from Catalogue where Catalogue_ID='";
  $select .= $CatalogueID."'";

  $Result = $db->_query ($select);
  if ($db->num_rows  > 0)
     return 1;
  else
     return 0;

}

###############################################################################

function GetDomainBySubdivisionID ($SubdivisionID)
{
 global $db;

 $select = "select Domain from Catalogue,Subdivision where Subdivision_ID='";
 $select .= $SubdivisionID."'";
 $select .= " and Subdivision.Catalogue_ID=Catalogue.Catalogue_ID";
 $ResultArray = $db->get_var($select);

 return $ResultArray;
}

###############################################################################

function GetDomainByCatalogueID ($CatalogueID)
{
 global $db;
 @$Array = $db->get_var("select Domain from Catalogue where Catalogue_ID='".$CatalogueID."'");
 return $Array;
}


###############################################################################

function GetGroupBySubdivisionID ($SubdivisionID)
{
 global $db;

 $select = "select Groups_ID from Catalogue,Subdivision where Subdivision_ID='";
 $select .= $SubdivisionID."'";
 $select .= " and Subdivision.Catalogue_ID=Catalogue.Catalogue_ID";
@$Array = $db->get_var($select);
 return $Array;
}

###############################################################################

function GetGroupByCatalogueID ($CatalogueID)
{
 global $db;
 $select = "select Groups_ID from Catalogue where Catalogue_ID='";
 $select .= $CatalogueID."'";
@$Array = $db->get_var($select);
 return $Array;
}

###############################################################################

function CascadeDeleteCatalogue ($CatalogueID)
{
	global $db;

	$LockTables = "LOCK TABLES 
						Catalogue WRITE, 
						Subdivision WRITE, 
						Sub_Class WRITE, 
						Log WRITE, 
						Permission WRITE
					";

	$DeleteLog = "DELETE FROM Log WHERE Catalogue_ID='".$CatalogueID."'";
	$DeleteCatalogue = "DELETE FROM Catalogue WHERE Catalogue_ID='".$CatalogueID."'";
	$DeleteSubdivision = "DELETE FROM Subdivision WHERE Catalogue_ID='".$CatalogueID."'";
	$DeleteSubClass = "DELETE FROM Sub_Class WHERE Catalogue_ID='".$CatalogueID."'";
	$DeletePermission = "DELETE FROM Permission WHERE AdminType='".CATALOGUE_ADMIN."' AND Catalogue_ID='".$CatalogueID."'";

	$SelectSubClass = "select Sub_Class_ID, Class_ID from Sub_Class where Catalogue_ID='".$CatalogueID."'";
	$SubClassResult = $db->get_results($SelectSubClass, ARRAY_N);
	$AddLockTables = "";
	if ($SubClassResult)	
		foreach ($SubClassResult as $SubClassArray) {
			$AddLockTables .= ", Message".$SubClassArray[1]." WRITE";
			$SubClassID [] = $SubClassArray[0];
			$SubClassID [] = $SubClassArray[1];
		}

	$LockResult = $db->query ($LockTables.$AddLockTables);

	for ($i=0; $i<count($SubClassID); $i+=2) {
		$DeleteMessage = "delete from Message".$CatClassID[$i+1]." where Sub_Class_ID='".$CatClassID[$i]."'";
		$db->query ($DeleteMessage);
	}

	$SelectSubdivision = "select Subdivision_ID from Subdivision where Catalogue_ID='".$CatalogueID."'";
	$SubResult = $db->get_results($SelectSubdivision,ARRAY_N);
	if ($SubResult)
		foreach ($SubResult as $SubArray ) DeleteFromPermission ($SubArray[0]);

	$db->query ($DeleteLog);
	$db->query ($DeleteSubClass);
	$db->query ($DeleteSubdivision);
	$db->query ($DeleteCatalogue);
	$db->query ($DeletePermission);

	$UnlockResult = $db->query ("unlock tables");

}

###############################################################################

function HighLevelChildrenNumber ($CatalogueID, $available = '')
{
  global $db, $perm;
  
    /**
      *  sql-,    , 
      *   
      */
    $security_limit = "";

    /**
      * id ,    
      */
    $sub_admin = $perm->listItems('subdivision');
    /**
      * id   ,    
      */
    $cc_admin = $perm->listItems('subclass');
    /**
      * id ,    (  $site_admin,
      * $sub_admin, $cc_admin)
      */
    $allowed_sites = array();

    /**
      * id ,   , 
      *  $sub_admin + $cc_admin
      */
    $sub_and_cc_admin = $sub_admin;
    if ($cc_admin) {
      $res = $db->get_results("SELECT Subdivision_ID
                                 FROM Sub_Class
                                WHERE Sub_Class_ID IN (".join(',', $cc_admin).")", ARRAY_A);
      foreach ($res as $row) {
        $sub_and_cc_admin[] = $row['Subdivision_ID'];
      }
    }

    if ($sub_and_cc_admin) {
      //     ,   
      //   
      $res = $db->get_results("SELECT parent.Subdivision_ID
                                 FROM Subdivision as parent, Subdivision as allowed
                                WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_and_cc_admin)).")
                                  AND allowed.Hidden_URL LIKE CONCAT(parent.Hidden_URL, '%')", ARRAY_A);
      /**
        * ,    
        */
      $allowed_subs = array();
      foreach ((array)$res as $row) { // flatten array
        $allowed_subs[] = $row['Subdivision_ID'];
      }

      /**
        * id ,      ,  
        *      --   
        * (as of 3.0)
        */
      $sub_child_administrator = array();
      //     
      $res = $db->get_results("SELECT child.Subdivision_ID, allowed.Subdivision_ID as Allowed_Subdivision_ID
                                 FROM Subdivision as child, Subdivision as allowed
                                WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_admin)).")
                                  AND child.Hidden_URL LIKE CONCAT(allowed.Hidden_URL, '_%')", ARRAY_A);
      foreach ((array)$res as $row) {
        $allowed_subs[] = $row['Subdivision_ID'];
        $sub_child_administrator[ $row['Subdivision_ID'] ] = $row['Allowed_Subdivision_ID'];
      }

      if ($allowed_subs) {
        $qry_where .= " AND a.Subdivision_ID IN (".join(',', $allowed_subs).") ";
      }
    }

  $select = "select count(Subdivision_ID) from Subdivision as a where Parent_Sub_ID=0";
  $select .= " and Catalogue_ID=".$CatalogueID;

  if ($available) $select .= $qry_where;

  $Array = $db->get_var($select);
  return $Array;
}

###############################################################################

function IsAllowedDomain ($Domain, $CatalogueID)
{
  global $db;

  $select  = "select Domain from Catalogue where Domain='".$Domain."'";
  $select .= " and Catalogue_ID<>'".$CatalogueID."'";
  $Result = $db->query ($select);
  if ($db->num_rows == 0)  return 1;

  return 0;
}

###############################################################################

?>
